Package Details: 4kvideodownloader 4.7.3.2742-1

Git Clone URL: https://aur.archlinux.org/4kvideodownloader.git (read-only)
Package Base: 4kvideodownloader
Description: Quickly download videos from YouTube in high-quality.
Upstream URL: http://www.4kdownload.com/products/product-videodownloader
Licenses: custom:eula
Submitter: Muflone
Maintainer: Muflone
Last Packager: Muflone
Votes: 56
Popularity: 2.704329
First Submitted: 2013-06-30 01:38
Last Updated: 2019-06-22 21:17

Pinned Comments

Muflone commented on 2018-12-26 15:25

@everyone Any issue related to ffmpeg2.8 package has nothing to do with 4kvideodownloader. If you have difficulties in install ffmpeg2.8 you could ask to the ffmpeg2.8 package. Since today 2018/12/26 the package ffmpeg2.8 builds and installs fine without any error.

Latest Comments

1 2 3 4 5 6 ... Next › Last »

dante-evil commented on 2019-07-16 22:21

PKGBUILD 4.8.0.2852

https://gist.github.com/LEONARDO-DANIEL/735d1a70cd0ddcdaae895b9d47a0ae1a

dante-evil commented on 2019-07-16 22:17

pkgname=4kvideodownloader pkgver=4.8.0.2852 pkgrel=1 pkgdesc="Quickly download videos from YouTube in high-quality." arch=('x86_64') url="http://www.4kdownload.com/products/product-videodownloader" license=('custom:eula') depends=('qt5-script' 'qt5-declarative' 'portaudio' 'ffmpeg2.8') makedepends=('chrpath') source=("${pkgname}${pkgver}_amd64.tar.bz2"::"https://dl.4kdownload.com/app/${pkgname}${pkgver%.*}_amd64.tar.bz2" "${pkgname}.desktop" "${pkgname}.png") sha256sums=('e9ac1a0c95a135b6e406ef063e2cf430f52f3383eab4eaf00e73f181a701dd50' '6ab39088bde330267b43f87878f6bd47a215c732e17d417a99fc23ac4c568952' '56b851ef96aade0612f236b8763ccaf2def8acdd49f37bbefdd79e1d5f6e68be')

prepare() { cd "${pkgname}" # Remove insecure RPATH chrpath --delete "${pkgname}-bin" }

package() { # Install desktop file install -m 755 -d "${pkgdir}/usr/share/applications" install -m 755 -t "${pkgdir}/usr/share/applications" "${pkgname}.desktop" # Install icon file install -m 755 -d "${pkgdir}/usr/share/pixmaps" install -m 644 -t "${pkgdir}/usr/share/pixmaps" "${pkgname}.png" # Install files cd "${pkgname}" install -m 755 -d "${pkgdir}/usr/lib/${pkgname}" install -m 755 -t "${pkgdir}/usr/lib/${pkgname}" "${pkgname}-bin" install -m 755 -d "${pkgdir}/usr/lib/${pkgname}/audio" install -m 755 -t "${pkgdir}/usr/lib/${pkgname}/audio" audio/ install -m 755 -d "${pkgdir}/usr/lib/${pkgname}/translation" install -m 755 -t "${pkgdir}/usr/lib/${pkgname}/translation" translation/ # Install launcher file install -m 755 -d "${pkgdir}/usr/bin" ln -s "/usr/lib/${pkgname}/${pkgname}-bin" "${pkgdir}/usr/bin/${pkgname}" # Install license file install -m 755 -d "${pkgdir}/usr/share/licenses/${pkgname}" install -m 644 -t "${pkgdir}/usr/share/licenses/${pkgname}" "doc/eula" }

Dante_Igashu commented on 2019-06-15 06:21

@everyone If you want to update the package in an "easy" way, just follow these steps:

  1. use you AUR Package Manager as regular to install the package as if it was the first time, for example, using trizen:

trizen -S 4kvideodownloader

  1. When asked if you want to modify the PKGBUILD, choose "yes"

  2. Once in the PKBUILD edit the next line like this:

pkgver=4.7.3.1

and then change the first line from the:

sha256sums=('a61574f7d398b4faa9ba10e8e4e8f5efe4b5ad8150683d193a138121c5d38220'

to

sha256sums=('4fb0a060c807dba87e203b6a44e6468979390a83aaabaef023afa99f6d1a1f48'

  1. Press Ctrl + O to save the file.

  2. Press Ctrl + X to exit nano (the program where the file was opened).

  3. Just follow the next steps as usual and the program will be updated.

Note:

In future updates yo can do the following, it may work the same:

in the line:

pkgver=4.7.X

just change the version for the last version available, for example, this last version was 4.7.3-1, but as the PKGBUILD doesn't accept the hyphen symbol (-), I had to change it to 4.7.3.1.

after changing the pkgver line just save the file, as we can't know what's the sha256sum of the package yet, and continue the installation as normal, in this case the package will be downloaded but there will be an error, as the sha256sum won't match from the package won't match the one in the PKGBUILD, but now you have the package saved in /tmp/your-AUR-Package-Manager-your-user-name/4kvideodownloader/, mine in this case was /tmp/trizen-my-user-name/4kvideodownloader/. Inside this folder copy (Ctrl + Shift + C, on the terminal) the whole name of the package ending with .tar.bz2 and open a terminal inside this same folder (DO NOT open it as root) and type the sha256sum command and paste the name of the package (Ctrl + Shift + V, on the terminal) so it should look like this:

sha256sum 4kvideodownloader_4.7.3.1_amd64.tar.bz2

press ENTER and it must give you a string of numbers and letters like the one I used that looks like this:

4fb0a060c807dba87e203b6a44e6468979390a83aaabaef023afa99f6d1a1f48

just copy that line and try reinstalling 4kvideodownloader again and change the two lines as I mentioned before with the new information you got now.

GOOD LUCK! :D

mixalis1987 commented on 2019-06-08 17:13

@mozzi32 Just install the .deb from the official site. That's what I do.

This pkg has not been fully maintained for a while.

mozzi32 commented on 2019-06-08 11:07

Sorry but there is a new update 4.7.3.2742 from June 7th

archnet commented on 2019-05-28 14:33

Maintainer: ArchNet
4kvideodownloader Version 4.7.2.2732
PKGBUILD 4.7.2.2732

http://oneclickpaste.com/9336/

mozzi32 commented on 2019-05-24 16:08

A new version is available 4.7.2-1 Could you update please ? Thanks a lot

dante-evil commented on 2019-04-17 19:25

aqui les dejo amigos la version mas reciente 4.7.0.2602.... https://gist.github.com/LEONARDO-DANIEL/735d1a70cd0ddcdaae895b9d47a0ae1a

eschwartz commented on 2019-01-30 22:42

Hi, can you use the "Flag package out-of-date" button for the purpose for which it is meant, and not use the package comments for the purpose for which it is not meant?

mixalis1987 commented on 2019-01-30 22:40

Hi, can you update this package to version 4.5?